Bug 2219956

Summary: F39FailsToInstall: calibre
Product: [Fedora] Fedora Reporter: Fedora Fails To Install <fti-bugs>
Component: calibreAssignee: Kevin Fenzi <kevin>
Status: CLOSED WORKSFORME QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: adscvr, chkr, code, helio, Kartz, kevin, zbyszek
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2023-07-07 15:22:51 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 2220114, 2220328    
Bug Blocks: 2168845, 2135404    

Description Fedora Fails To Install 2023-07-05 19:02:52 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

Your package (calibre) Fails To Install in Fedora 39:

can't install calibre:
  - nothing provides python(abi) = 3.11 needed by calibre-6.21.0-1.fc39.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.


P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors. To reproduce, use the koji/local repo only, e.g. in mock:

    $ mock -r fedora-39-x86_64 --config-opts mirrored=False install calibre


P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Ben Beasley 2023-07-06 01:45:30 UTC
$ fedpkg mockbuild --enablerepo=local
Error:
 Problem: package python3-mechanize-0.4.8-6.fc38.noarch from fedora requires python(abi) = 3.11, but none of the providers can be installed
  - package python3-devel-3.12.0~b3-2.fc39.x86_64 from local conflicts with python3 < 3.12.0~b3-2.fc39 provided by python3-3.11.4-1.fc39.i686 from fedora
  - package python3-devel-3.12.0~b3-2.fc39.x86_64 from local conflicts with python3 < 3.12.0~b3-2.fc39 provided by python3-3.11.4-1.fc39.x86_64 from fedora
  - cannot install the best candidate for the job

I’m linking the bug for python-mechanize, but not looking into its cause.

Comment 2 Fedora Fails To Install 2023-07-07 15:22:51 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 39.

Thanks for taking care of it!